Bug 213389 - greet_pause.m4 file is missing from /usr/share/sendmail-cf/feature in RHEL3
greet_pause.m4 file is missing from /usr/share/sendmail-cf/feature in RHEL3
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-01 04:21 EST by Mark Huth
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-24 09:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Huth 2006-11-01 04:21:11 EST
Description of problem:
As per $subject, if you try to enable the greet_pause sendmail feature on RHEL3,
sendmail returns an error similar to this:

/etc/mail/sendmail.mc:123: m4: Cannot open
/usr/share/sendmail-cf/feature/greet_pause.m4: No such file or directory

Version-Release number of selected component (if applicable):
sendmail-8.13 with RHEL3.x

Steps to Reproduce:
1. Add greet_pause feature to /etc/mail/sendmail.mc:
2. Try to compile the sendmail.mc file with either:
   make -C /etc/mail ... or ...
   m4 /etc/mail/sendmail.mc > /etc/mail/sendmail.cf

3. Get the error as per problem description.

Expected results:
Should be able compile the /etc/mail/sendmail.mc file to produce the sendmail.cf
without error.

Additional info:
As a workaround I copied the /usr/share/sendmail-cf/feature/greet_pause.m4 file
from my RHEL4 machine to my RHEL3 machine and recompiled the sendmail.mc.  This
time it compiled without error and I was able to use greet_pause feature of
sendmail for limiting spam.

So I suppose the fix for this is just to add the greet_pause.m4 file (from RHEL4
perhaps) to the /usr/share/sendmail-cf/feature directory on RHEL3.
Comment 1 Thomas Woerner 2007-07-24 09:00:42 EDT
I am sorry, but greet_pause is not part of sendmail-8.12.x.
Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.